package com.fjhx.customer.service.customer;

import com.fjhx.customer.entity.customer.po.CustomerUser;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.customer.vo.CustomerUserVo;
import com.fjhx.customer.entity.customer.dto.CustomerUserSelectDto;
import com.fjhx.customer.entity.customer.dto.CustomerUserDto;

import java.util.List;

/**
 * <p>
 * 客户用户表 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-04
 */
public interface CustomerUserService extends BaseService<CustomerUser> {

    /**
     * 客户用户表列表
     */
    List<CustomerUserVo> getList(CustomerUserSelectDto dto);

    /**
     * 客户用户表分页
     */
    Page<CustomerUserVo> getPage(CustomerUserSelectDto dto);

    /**
     * 客户用户表明细
     */
    CustomerUserVo detail(Long id);

    /**
     * 客户用户表新增
     */
    void add(CustomerUserDto customerUserDto);

    /**
     * 客户用户表编辑
     */
    void edit(CustomerUserDto customerUserDto);

    /**
     * 客户用户表删除
     */
    void delete(Long id);

}
